Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 424755 - app-editors/emacs-24.1 fails to build on ARM (and glibc-2.16) : ./stdio.h:1030:1: error: ‘gets’ undeclared here (not in a function)
Summary: app-editors/emacs-24.1 fails to build on ARM (and glibc-2.16) : ./stdio.h:103...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: ARM Linux
: Normal normal (vote)
Assignee: Emacs project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-2.16
  Show dependency tree
 
Reported: 2012-07-04 12:40 UTC by Xavier Miller
Modified: 2012-07-07 16:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,47.35 KB, text/plain)
2012-07-04 12:42 UTC, Xavier Miller
Details
environment (environment,124.24 KB, text/plain)
2012-07-04 12:42 UTC, Xavier Miller
Details
stdio.in.h (stdio.in.h,48.52 KB, text/plain)
2012-07-04 19:39 UTC, Xavier Miller
Details
stdio.h (stdio.h,58.15 KB, text/plain)
2012-07-04 19:40 UTC, Xavier Miller
Details
Patch extracted from upstream repo (108385_108384.diff,947 bytes, patch)
2012-07-04 23:05 UTC, Ulrich Müller
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier Miller gentoo-dev 2012-07-04 12:40:11 UTC
(works OK on ~amd64)

make[2] : on entre dans le répertoire « /var/tmp/portage/app-editors/emacs-24.1/work/emacs-24.1/lib »
armv7a-hardfloat-linux-gnueabi-gcc -DHAVE_CONFIG_H -I. -I../src -I/var/tmp/portage/app-editors/emacs-24.1/work/emacs-24.1/src     -O2 -pipe -march=armv7-a -mtune=cortex-a9 -mfpu=vfpv3-d16 -c allocator.c
armv7a-hardfloat-linux-gnueabi-gcc -DHAVE_CONFIG_H -I. -I../src -I/var/tmp/portage/app-editors/emacs-24.1/work/emacs-24.1/src     -O2 -pipe -march=armv7-a -mtune=cortex-a9 -mfpu=vfpv3-d16 -c careadlinkat.c
armv7a-hardfloat-linux-gnueabi-gcc -DHAVE_CONFIG_H -I. -I../src -I/var/tmp/portage/app-editors/emacs-24.1/work/emacs-24.1/src     -O2 -pipe -march=armv7-a -mtune=cortex-a9 -mfpu=vfpv3-d16 -c md5.c
In file included from md5.h:24:0,
                 from md5.c:25:
./stdio.h:1030:1: erreur: ‘gets’ undeclared here (not in a function)
make[2]: *** [md5.o] Erreur 1
make[2] : on quitte le répertoire « /var/tmp/portage/app-editors/emacs-24.1/work/emacs-24.1/lib »
make[1]: *** [all] Erreur 2
make[1] : on quitte le répertoire « /var/tmp/portage/app-editors/emacs-24.1/work/emacs-24.1/lib »
make: *** [lib] Erreur 2
 * ERROR: app-editors/emacs-24.1 failed (compile phase):
 *   emake failed
 *
 * If you need support, post the output of `emerge --info '=app-editors/emacs-24.1'`,
 * the complete build log and the output of `emerge -pqv '=app-editors/emacs-24.1'`.
 * The complete build log is located at '/var/tmp/portage/app-editors/emacs-24.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-editors/emacs-24.1/temp/environment'.
 * Working directory: '/var/tmp/portage/app-editors/emacs-24.1/work/emacs-24.1'
 * S: '/var/tmp/portage/app-editors/emacs-24.1/work/emacs-24.1'

>>> Failed to emerge app-editors/emacs-24.1, Log file:


Reproducible: Always




emerge --info '=app-editors/emacs-24.1'
Portage 2.2.0_alpha115 (default/linux/arm/10.0/armv7a, gcc-4.7.1, glibc-2.16.0, 3.4.0-01685-g44fef05 armv7l)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.4.0-01685-g44fef05-armv7l-ARMv7_Processor_rev_2_-v7l-with-gentoo-2.1
Timestamp of tree: Wed, 04 Jul 2012 10:00:01 +0000
distcc 3.1 armv7a-hardfloat-linux-gnueabi [enabled]
app-shells/bash:          4.2_p29
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.10.4
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.12.1
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.7.1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo local pd-overlay proaudio
ACCEPT_KEYWORDS="arm ~arm"
ACCEPT_LICENSE="@FREE freedist"
CBUILD="armv7a-hardfloat-linux-gnueabi"
CFLAGS="-O2 -pipe -march=armv7-a -mtune=cortex-a9 -mfpu=vfpv3-d16 -mfloat-abi=hard -fomit-frame-pointer"
CHOST="armv7a-hardfloat-linux-gnueabi"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /usr/lib/distcc/bin"
CXXFLAGS="-O2 -pipe -march=armv7-a -mtune=cortex-a9 -mfpu=vfpv3-d16 -mfloat-abi=hard -fomit-frame-pointer"
DISTDIR="/var/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y --buildpkg --quiet-build=n"
FCFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=softfp"
FEATURES="assume-digests binpkg-logs buildpkg candy config-protect-if-modified distcc distcc-pump distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=softfp"
GENTOO_MIRRORS="ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LANG="fr_BE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--hash-style=gnu -Wl,--as-needed"
LINGUAS="fr"
MAKEOPTS="-j5"
PKGDIR="/var/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/overlay /var/lib/layman/pd-overlay /var/lib/layman/pro-audio"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X alsa apng arm bzip2 cairo cli cracklib crypt cxx dbus extras fat fftw gif gpm gtk gtk3 iconv id3tag jack jpeg lxde lzo modules mp3 mpeg mudflap ncurses nls nptl ntfs opengl openmp osc pam pcre pdf png portaudio pppd qt qt4 readline session sndfile sqlite ssl svg tcpd threads tiff truetype unicode vorbis xorg zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr" PHP_TARGETS="php5-3" PYTHON_TARGETS="python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="omapfb" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

app-editors/emacs-24.1 was built with the following:
USE="X alsa dbus gif gpm gtk gtk3 gzip-el jpeg png svg tiff xpm -Xaw3d (-aqua) -athena -gconf -gnutls -gsettings -hesiod -imagemagick -kerberos -libxml2 -livecd -m17n-lib -motif -pax_kernel (-selinux) -sound -source -toolkit-scroll-bars -wide-int -xft"
CFLAGS="-O2 -pipe -march=armv7-a -mtune=cortex-a9 -mfpu=vfpv3-d16"
CXXFLAGS="-O2 -pipe -march=armv7-a -mtune=cortex-a9 -mfpu=vfpv3-d16"
Comment 1 Xavier Miller gentoo-dev 2012-07-04 12:42:00 UTC
Created attachment 317121 [details]
build.log
Comment 2 Xavier Miller gentoo-dev 2012-07-04 12:42:33 UTC
Created attachment 317123 [details]
environment
Comment 3 Ulrich Müller gentoo-dev 2012-07-04 18:03:57 UTC
Did it build with glibc-2.15?

Can you attach emacs-24.1/lib/stdio.h please?
Comment 4 Xavier Miller gentoo-dev 2012-07-04 19:39:46 UTC
Created attachment 317167 [details]
stdio.in.h

I guess attachment 317097 [details, diff] (from bug 424703) could help here
Comment 5 Xavier Miller gentoo-dev 2012-07-04 19:40:41 UTC
Created attachment 317169 [details]
stdio.h

(stdio.h is generated from attachment 317167 [details])
Comment 6 Ulrich Müller gentoo-dev 2012-07-04 23:05:00 UTC
Created attachment 317182 [details, diff]
Patch extracted from upstream repo

Could you please test if attached patch fixes the problem? I've extracted it from the following upstream commit:
<http://bzr.savannah.gnu.org/lh/emacs/trunk/revision/108385>
Comment 7 Xavier Miller gentoo-dev 2012-07-05 06:33:35 UTC
Hello,

The patch fixed the problem for me.
Comment 9 Ulrich Müller gentoo-dev 2012-07-05 15:08:17 UTC
Fixed without revbump. (Although I don't understand why this would show up only on arm, but not on amd64.)

Thanks for reporting.